from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XMutableTreeNode(XTreeNode, Protocol):
    def setHasChildrenOnDemand(self, ChildrenOnDemand: bool) -> None: ...
    def setDisplayValue(self, Value: Any) -> None: ...
    def setNodeGraphicURL(self, URL: str) -> None: ...
    def setExpandedGraphicURL(self, URL: str) -> None: ...
    def setCollapsedGraphicURL(self, URL: str) -> None: ...
